Get Attachment
curl --request GET \
--url https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/documents/{documentId}/attachments/{attachmentId} \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/documents/{documentId}/attachments/{attachmentId}"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.kycaml.frankiefinancial.io/v2/organizations/{entityId}/documents/{documentId}/attachments/{attachmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "<string>",
"attachment": {
"data": {
"uri": "https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg"
},
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filename": "<string>",
"mimeType": "<string>",
"pageNumber": 123,
"type": "<string>",
"location": "<string>",
"lastMalwareScanAt": "2023-11-07T05:31:56Z"
},
"informationSource": {
"sourceId": "<string>",
"source": "Client",
"sourceNormalized": "<string>",
"description": "",
"provider": "equifax-au",
"providerReference": "",
"createdAt": "2024-01-15T02:18:11.365Z",
"requestedAt": "2024-01-15T02:18:11.365Z",
"retrievedAt": "2024-01-15T02:18:11.365Z",
"isAuthoritative": false
}
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Documents
Get Attachment
GET
/
v2
/
organizations
/
{entityId}
/
documents
/
{documentId}
/
attachments
/
{attachmentId}
Get Attachment
Authorizations
Headers
Your API key provided by FrankieOne
Example:
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
Example:
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
Example:
"87654321-4321-4321-4321-210987654321"
Path Parameters
Unique FrankieOne identifier for an entity
Unique identifier for a document
Query Parameters
Enum of the attachment format - [NONE, BASE64, RAW]
Available options:
NONE, BASE64, RAW Was this page helpful?
⌘I